Get the message history for a campaign
curl --request GET \
--url https://api.heullo.com/api/sms/management/{id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heullo.com/api/sms/management/{id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heullo.com/api/sms/management/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/sms/management/{id}/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/sms/management/{id}/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heullo.com/api/sms/management/{id}/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/sms/management/{id}/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"channel": "UI",
"charset": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"dcs": "<string>",
"delivered": true,
"deliveredAt": "2023-11-07T05:31:56Z",
"deliveryType": "SINGLE",
"effectiveEncodingType": "PLAIN",
"encodedContent": "<string>",
"encodingType": "PLAIN",
"errorMessage": "<string>",
"gatewayResponse": "<string>",
"id": "<string>",
"managementId": "<string>",
"message": "<string>",
"messageParts": 123,
"messageType": "SMS",
"metadata": {},
"owner": {
"auth0Id": "<string>",
"company": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"emailVerified": true,
"firstName": "<string>",
"fullName": "<string>",
"id": "<string>",
"lastName": "<string>",
"legacyCreatedAt": "2023-11-07T05:31:56Z",
"legacyUser": true,
"legacyUsername": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"picture": "<string>",
"profileComplete": true,
"settings": {
"admin": true,
"campaignSummaries": true,
"canBypassApproval": true,
"canCreateSenderIds": true,
"canUseCustomGateway": true,
"createdAt": "2023-11-07T05:31:56Z",
"customGatewayUrl": "<string>",
"deliveryReceiptUrl": "<string>",
"email2SmsAllowedSenders": [
"<string>"
],
"emailNotifications": true,
"id": "<string>",
"inboxReceiptUrl": "<string>",
"lowBalanceAlerts": true,
"maxBulkSmsRecipients": 123,
"maxSenderIds": 123,
"maxSmsPerDay": 123,
"requiresApproval": true,
"smsDeliveryReports": true,
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"weeklyReports": true
},
"suspended": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"ownerId": "<string>",
"ownerName": "<string>",
"phoneNumber": "<string>",
"recipient": "<string>",
"recipients": [
"<string>"
],
"retryCount": 123,
"scheduledExecutionTime": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledTime": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"status": "SCHEDULED",
"taskId": "<string>",
"template": true,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
]SMS Management
Get the message history for a campaign
GET /api/sms/management//history
GET
/
api
/
sms
/
management
/
{id}
/
history
Get the message history for a campaign
curl --request GET \
--url https://api.heullo.com/api/sms/management/{id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heullo.com/api/sms/management/{id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heullo.com/api/sms/management/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/sms/management/{id}/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/sms/management/{id}/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heullo.com/api/sms/management/{id}/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/sms/management/{id}/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"channel": "UI",
"charset": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"dcs": "<string>",
"delivered": true,
"deliveredAt": "2023-11-07T05:31:56Z",
"deliveryType": "SINGLE",
"effectiveEncodingType": "PLAIN",
"encodedContent": "<string>",
"encodingType": "PLAIN",
"errorMessage": "<string>",
"gatewayResponse": "<string>",
"id": "<string>",
"managementId": "<string>",
"message": "<string>",
"messageParts": 123,
"messageType": "SMS",
"metadata": {},
"owner": {
"auth0Id": "<string>",
"company": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"emailVerified": true,
"firstName": "<string>",
"fullName": "<string>",
"id": "<string>",
"lastName": "<string>",
"legacyCreatedAt": "2023-11-07T05:31:56Z",
"legacyUser": true,
"legacyUsername": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"picture": "<string>",
"profileComplete": true,
"settings": {
"admin": true,
"campaignSummaries": true,
"canBypassApproval": true,
"canCreateSenderIds": true,
"canUseCustomGateway": true,
"createdAt": "2023-11-07T05:31:56Z",
"customGatewayUrl": "<string>",
"deliveryReceiptUrl": "<string>",
"email2SmsAllowedSenders": [
"<string>"
],
"emailNotifications": true,
"id": "<string>",
"inboxReceiptUrl": "<string>",
"lowBalanceAlerts": true,
"maxBulkSmsRecipients": 123,
"maxSenderIds": 123,
"maxSmsPerDay": 123,
"requiresApproval": true,
"smsDeliveryReports": true,
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"weeklyReports": true
},
"suspended": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"ownerId": "<string>",
"ownerName": "<string>",
"phoneNumber": "<string>",
"recipient": "<string>",
"recipients": [
"<string>"
],
"retryCount": 123,
"scheduledExecutionTime": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledTime": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"status": "SCHEDULED",
"taskId": "<string>",
"template": true,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - */*
OK
Available options:
UI, API, EMAIL2SMS Available options:
SINGLE, BULK, IMMEDIATE, SCHEDULED Available options:
PLAIN, ENGLISH, FRENCH, GERMAN, ITALIAN, SPANISH, PORTUGUESE, DUTCH, GSM, GSM7, UCS2, BINARY, GREEK, RUSSIAN, UKRAINIAN, BULGARIAN, SERBIAN, TURKISH, ARABIC, PERSIAN, URDU, HEBREW, CHINESE_SIMPLIFIED, CHINESE_TRADITIONAL, JAPANESE, KOREAN, THAI, VIETNAMESE, UNICODE Available options:
PLAIN, ENGLISH, FRENCH, GERMAN, ITALIAN, SPANISH, PORTUGUESE, DUTCH, GSM, GSM7, UCS2, BINARY, GREEK, RUSSIAN, UKRAINIAN, BULGARIAN, SERBIAN, TURKISH, ARABIC, PERSIAN, URDU, HEBREW, CHINESE_SIMPLIFIED, CHINESE_TRADITIONAL, JAPANESE, KOREAN, THAI, VIETNAMESE, UNICODE Available options:
SMS, FLASH, BINARY, WAP_PUSH, UNICODE, TRANSACTIONAL, PROMOTIONAL, OTP, REMINDER, TEXT, TEMPLATE, BULK, MARKETING Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
SCHEDULED, QUEUED, SENDING, SENT, DELIVERED, FAILED, EXPIRED, PENDING, CANCELLED, PROCESSING, SCHEDULE_FAILED, ERROR, REJECTED, COMPLETED 
